.images-section {
  margin-bottom: 120px;
  padding: 120px;

  @include max-w($screen-md) {
    margin-bottom: 120px;
    padding: 120px 25px;
  }
}

.images-section-wrap_type_simple {
  .images-section-text-item__container {
    position: relative;
    top: 40%;
    transform: translateY(-50%);
  }

  .images-section__grid-container {
    display: grid;
    display: -ms-grid;

    padding: 0 7%;

    grid-template-columns: repeat(3, 1fr);
    -ms-grid-columns: 1fr 1fr 1fr;
    gap: 100px 7%;

    .images-section-item {
      &:nth-child(3n + 1) {
        -ms-grid-column: 1;
      }
      &:nth-child(3n + 2) {
        -ms-grid-column: 2;
      }
      &:nth-child(3n + 3) {
        -ms-grid-column: 3;
      }
    }

    @include max-w($screen-xl) {
      padding: 0 5%;
    }
    @include max-w($screen-md) {
      grid-template-columns: repeat(2, 1fr);
      -ms-grid-columns: 1fr 1fr;
      row-gap: 50px;

      .images-section-item {
        &:nth-child(2n) {
          -ms-grid-column: 1;
        }
        &:nth-child(2n + 1) {
          -ms-grid-column: 2;
        }
      }
    }
  }

  .images-section-item {
    display: inline-block;
    transition: 0.5s ease-in-out;
    transform: translateY(0);

    &_hidden {
      transform: translateY(100px);

      opacity: 0;
    }
  }

  .images-section-image-item {
    &__label1 {
      display: none;
    }
    &__label2 {
      display: none;
    }
    &__description {
      display: none;
    }

    &__image {
      margin-bottom: 15px;
      img {
        width: 100%;
      }
    }

    &__title {
      font-family: $bold-font;
      font-size: 23px;

      margin: 0;
      margin-bottom: 10px;

      @include max-w($screen-xl) {
        font-size: 21px;
      }
      @include max-w($screen-md) {
        font-size: 18px;
        margin-bottom: 5px;
      }
    }

    &__subtitle {
      font-family: $bold-font;
      font-size: 15px;

      margin: 0;

      @include max-w($screen-xl) {
        font-size: 13px;
      }
    }

    &__info-section {
      position: relative;
      
      &__overlay {
        background: lighten($bg-color, 15%);
        width: 100%;
        height: 0px;
        top: 0px;
        left: 0;
        position: absolute;
        bottom: 0;
        mix-blend-mode: multiply;
        transition-property: all;
        transition-duration: 0.4s;
        transition-timing-function: ease-in;
        transition-delay: 0s;
      }
    }

    &:hover {  
      .images-section-image-item {

        &__title {
          color: darken($bg-color, 15%);
        }
    
        &__subtitle {
          color: darken($bg-color, 15%);
        }

        &__info-section {
          &__overlay {
            height: 240%;
            top: -100%;
            left: -20px;
          }
        }
      }
    }
  }
}

//-----------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------
.images-section-wrap_type_card {

  .images-section-text-item__container {
    position: relative;
    top: 40%;
    transform: translateY(-50%);
  }

  .images-section__grid-container, .images-section__grid-container_half {
    min-height: 300px;
    display: grid;
    display: -ms-grid;
    padding: 0 7%;
    grid-template-columns: repeat(4, 1fr);
    -ms-grid-columns: 1fr 1fr 1fr 1fr;
    gap: 70px 2%;

    .images-section-item {
      &:nth-child(4n + 2) {
        -ms-grid-column: 2;
      }

      &:nth-child(4n + 3) {
        -ms-grid-column: 3;
      }

      &:nth-child(4n + 4) {
        -ms-grid-column: 4;
      }
    }

    @include max-w($screen-xl) {
      padding: 0 5%;
      grid-template-columns: repeat(3, 1fr);
      -ms-grid-columns: 1fr 1fr 1fr;

      .images-section-item {
        &:nth-child(3n + 1) {
          -ms-grid-column: 1;
        }

        &:nth-child(3n + 2) {
          -ms-grid-column: 2;
        }

        &:nth-child(3n + 3) {
          -ms-grid-column: 3;
        }
      }
    }

    @include max-w($screen-md) {
      grid-template-columns: repeat(2, 1fr);
      -ms-grid-columns: 1fr 1fr;

      .images-section-item {
        &:nth-child(2n) {
          -ms-grid-column: 1;
        }

        &:nth-child(2n + 1) {
          -ms-grid-column: 2;
        }
      }
    }
  }

  .images-section__grid-container_half {
    grid-template-columns: repeat(2, 1fr);
    -ms-grid-columns: 1fr 1fr;

    .images-section-item {
      &:nth-child(4n + 2) {
        -ms-grid-column: 1;
      }

      &:nth-child(4n + 3) {
        -ms-grid-column: 2;
      }
    }

    @include max-w($screen-xl) {
      padding: 0 5%;
      grid-template-columns: repeat(2, 1fr);
      -ms-grid-columns: 1fr 1fr;

      .images-section-item {
        &:nth-child(3n + 1) {
          -ms-grid-column: 1;
        }

        &:nth-child(3n + 2) {
          -ms-grid-column: 2;
        }
      }
    }

    @include max-w($screen-md) {
      grid-template-columns: repeat(1, 1fr);
      -ms-grid-columns: 1fr 1fr;

      .images-section-item {
        &:nth-child(2n) {
          -ms-grid-column: 1;
        }
      }
    }
  }

  .images-section-item {
    display: inline-block;
    transition: 0.3s ease-in-out;
    transform: translateY(0);

    &_hidden {
      transform: translateY(100px);
      opacity: 0;
    }
  }

  .images-section-image-item {
    overflow: hidden;
    box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.1);
    transition-delay: 0s !important;

    &:hover {
      .images-section-image-item__image {
        transform: scale(1.2);

        img {
          opacity: 0.9;
        }
      }

      .images-section-image-item__overlay {
        position: absolute;
        width: 100%;
        top: 0;
        height: 100%;
        background: $bg-color;
        mix-blend-mode: multiply;
        opacity: 0.8;
      }
    }

    &__image {
      background-color: #000;
      transition: 0.3s cubic-bezier(0.37, 0.75, 0.61, 1.05);

      img {
        width: 100%;
        transition: 0.3s cubic-bezier(0.37, 0.75, 0.61, 1.05);
      }
    }

    &__label2 {
      font-size: 17px;
      font-weight: 700;
      line-height: 18px;
      position: absolute;
      top: 20px;
      right: 20px;
      width: 50px;
      height: 50px;
      padding-top: calc(#{$line-height} / 4);
      text-align: center;
      color: $main-bg-color;
      border-radius: 50%;
      background: $bg-var1-color;

      @include max-w($screen-xl) {
        top: 10px;
        right: 10px;
      }

      @include max-w($screen-md) {
        font-size: 11px;
        line-height: 12px;
        width: 40px;
        height: 40px;
        padding-left: 1px;
        padding-top: 6px;
      }
    }

    &__info-section {
      position: relative;
      padding: 20px 10px;
      transition: 0.3s;
      transform: translateY(0);
      background-color: #fff;

      @include max-w($screen-md) {
        padding: 15px;
      }
    }

    &__label1 {
      transition: 0.3s cubic-bezier(0.37, 0.75, 0.61, 1.05);
      font-size: $font-size;
      line-height: $line-height;
      position: absolute;
      top: -40px;
      left: 0;
      padding: 10px 15px;
      color: $main-bg-color;
      background: $bg-var1-color;

      @include max-w($screen-xl) {
        font-size: $font-size;
        padding: 8px 10px;
        top: -36px;
      }

      @include max-w($screen-md) {
        font-size: 12px;
        padding: 7px 10px;
        top: -34px;
      }
    }

    &__title {
      font-family: $bold-font;
      font-size: 21px;
      margin: 0;
      padding-bottom: 0px;
      color: $text-color;

      @include max-w($screen-xl) {
      }

      @include max-w($screen-md) {
        font-size: 19px;
        padding-bottom: 5px;
      }
    }

    &__subtitle {
      font-family: $bold-font;
      font-size: 20px;
      margin: 0;
      padding-bottom: 10px;
      color: $bg-var1-color;

      @include max-w($screen-xl) {
        font-size: 13px;
      }

      @include max-w($screen-md) {
        padding-bottom: 10px;
      }
    }

    &__description {
      font-size: $font-size;
      overflow: hidden;
      margin: 0;
      transition: 0.3s;
      color: $text-color;
    }
  }
}

//-----------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------
.images-section-wrap_type_grid {

  .images-section-text-item {
    .images-section-text-item__title{
      font-size: 65px;
      line-height: 65px;
      margin: 0;  
      font-weight: 300; 
    } 
    .images-section-text-item__subtitle{
      margin-bottom: 20px;
      font-weight: $bold-font-w;
    }

    .images-section-text-item__button {
        font-weight: $bold-font-w;
        text-decoration: underline;
    }

  }

  .images-section__grid-container {


    display: grid;
    display: -ms-grid;

    padding: 0 20px;

    grid-template-columns: repeat(4, 1fr);
    -ms-grid-columns: 1fr 1fr 1fr 1fr;
    gap: 10px 10px;

    .images-section-item {
      &:nth-child(4n + 2) {
        -ms-grid-column: 2;
      }
      &:nth-child(4n + 3) {
        -ms-grid-column: 3;
      }
      &:nth-child(4n + 4) {
        -ms-grid-column: 4;
      }
    }

    @include max-w($screen-xl) {
      padding: 0 10px;

      grid-template-columns: repeat(3, 1fr);
      -ms-grid-columns: 1fr 1fr 1fr;

      .images-section-item {
        &:nth-child(3n + 1) {
          -ms-grid-column: 1;
        }
        &:nth-child(3n + 2) {
          -ms-grid-column: 2;
        }
        &:nth-child(3n + 3) {
          -ms-grid-column: 3;
        }
      }
    }
    @include max-w($screen-md) {
      padding: 0 5px;

      grid-template-columns: repeat(2, 1fr);
      -ms-grid-columns: 1fr 1fr;

      .images-section-item {
        &:nth-child(2n) {
          -ms-grid-column: 1;
        }
        &:nth-child(2n + 1) {
          -ms-grid-column: 2;
        }
      }
    }
  }

  .images-section-item {
    display: inline-block;
    overflow: hidden;

    transition: 0.5s ease-in-out;
    transform: translateY(0);

    &::before {
      display: inline-block;

      padding-bottom: 100%;

      content: "";
      vertical-align: top;
    }

    &_hidden {
      transform: translateY(100px);

      opacity: 0;
    }
    &_grid_big {
      grid-column-end: span 2;
      grid-row-end: span 2;
      &::before {
        padding: 0;

        content: "";
      }
    }
    &_grid_tall {
      grid-row-end: span 2;
      min-height: 300px;
      &::before {
        padding: 0;

        content: "";
      }

      .images-section-image-item__image {
        width: 200% !important;
        height: 100%;

        img {
          height: 100%;
          margin-top: -20px;
          transform: translateX(-25%);
        }
      }
    }
  }

  .images-section-image-item {
    overflow: hidden;

    &__label1 {
      display: none;
    }
    &__label2 {
      display: none;
    }
    &__description {
      display: none;
    }

    &__image {
      display: inline-block;

      width: 100%;
      img {
        width: 100%;
      }
    }

    &__info-section {
      position: absolute;
      bottom: 0;

      padding: 20px;

      transition: 0.3s;
      transform: translateY(0);
      @include max-w($screen-md) {
        padding: 10px;
      }
    }

    &__title {
      font-family: $base-font;
      font-size: 24px;
      line-height: 25px;
      margin: 0;

      color: #fff;

      @include max-w($screen-xl) {
        font-size: 21px;
        line-height: 22px;
      }

      @include max-w($screen-md) {
        font-size: 19px;
        line-height: 20px;
      }
    }

    &__subtitle {
      font-family: $bold-font;
      font-size: 24px;
      line-height: 25px;

      margin: 0;

      color: #fff;

      @include max-w($screen-xl) {
        font-size: 13px;
        line-height: 14px;
      }
    }
  }

  .images-section-text-item {
    overflow: hidden;

    color: $main-bg-color;
    background-color: $bg-color;

    &_color_1 {
      background-color: $bg-color;
    }
    &_color_2 {
      background-color: $bg-var-color;
    }
    &_color_3 {
      background-color: $bg-var1-color;
    }

    &__container {
      position: absolute;
      top: 50%;

      display: inline-block;

      padding-right: 10px;
      padding-left: 20px;

      transform: translateY(-50%);
    }

    &__title {
      font-family: $base-font;
      font-size: 24px;
      line-height: $sub-title-font-line-height;


      margin: 0;

      @include max-w($screen-xl) {
        font-size: 21px;
      }
      @include max-w($screen-md) {
        font-size: 19px;

        grid-template-columns: repeat(2, 1fr);
      }
    }

    &__subtitle {
      font-family: $bold-font;
      font-size: $sub-title-font-size;
      line-height: $sub-title-font-line-height;

      margin: 0;

      @include max-w($screen-xl) {
        font-size: 20px;
      }
      @include max-w($screen-md) {
        font-size: 17px;
      }
    }

    &__description {
      margin: 0;
      font-weight: 300;

      a {
        text-decoration: underline;
        font-weight: $bold-font-w;
      }

      @include max-w($screen-xl) {
        font-size: $font-size;
      }
      @include max-w($screen-md) {
        font-size: 12px;
      }
    }
  }
}
